// SlPara.h: interface for the CSlPara class.
//////////////////////////////////////////////////////////////////////
#pragma warning (disable: 4786)


#include <string>
#include <map>
#include <vector>
using std::map;
using std::vector;
using std::string;

#if !defined(AFX_SLPARA_H__D027CAD8_EAE8_4323_9E02_97C33CA2A269__INCLUDED_)
#define AFX_SLPARA_H__D027CAD8_EAE8_4323_9E02_97C33CA2A269__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSlPara  
{
public:
	CSlPara();
	virtual ~CSlPara();
    string GetCommand(string key);
    string SendMotorParams(char motor, bool vel);
    void SaveMotorParam(char motor, string key, string value);
    void LoadMotorParams(string file);
    void SaveMotorParamsInFile(string file);
    string GetMotorParam(char motor, string key);
private:
    string m_sFileName;
    map<string,string> m_Commands;
    map<string,string> m_motorAParams;  
    map<string,string> m_motorBParams;
    map<string,string> m_motorCParams;
	map<string,string> m_IOParams;
};

#endif // !defined(AFX_SLPARA_H__D027CAD8_EAE8_4323_9E02_97C33CA2A269__INCLUDED_)
